Skip to main content
POST
/
admin
/
notifications
Notifications
curl --request POST \
  --url https://api.example.com/admin/notifications \
  --header 'Content-Type: application/json' \
  --data '
{
  "action": "<string>",
  "data": {
    "filter": "<string>"
  }
}
'
import requests

url = "https://api.example.com/admin/notifications"

payload = {
"action": "<string>",
"data": { "filter": "<string>" }
}
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({action: '<string>', data: {filter: '<string>'}})
};

fetch('https://api.example.com/admin/notifications', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {}
  ],
  "message": "<string>"
}
List, add, or delete notifications. Dispatch the desired operation with the action field in the request body.

Actions

ActionDescription
listList notifications with optional filter.
addCreate a new notification.
deleteRemove a notification by id.

Request body

action
string
required
One of list, add, or delete.
data
object
Payload for the selected action. Required for add and delete.

Response

data
array
Returned by list. Each Notification includes id, user_id, type, title, body, test_kind, link, read_at, dismissed_at, and created_at.
message
string
Human-readable status message.